[gimp-help/wip/wormnest/fix-installer] Fix installer: hu was made an official language but isn't in a release yet




commit 97adca38f843402d00b04b12e450c29a113f05f5
Author: Jacob Boerema <jgboerema gmail com>
Date:   Fri Aug 12 18:12:33 2022 -0400

    Fix installer: hu was made an official language but isn't in a release yet

 build/windows/installer/installer-gimp-help-msys2.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
---
diff --git a/build/windows/installer/installer-gimp-help-msys2.sh 
b/build/windows/installer/installer-gimp-help-msys2.sh
index fb4b6fb86..a1bf89751 100644
--- a/build/windows/installer/installer-gimp-help-msys2.sh
+++ b/build/windows/installer/installer-gimp-help-msys2.sh
@@ -22,6 +22,18 @@ download_lang ()
   fi
 }
 
+download_lang_official ()
+{
+  langfile="$1"
+  rm -f "$langfile"
+  wget "https://raw.githubusercontent.com/jrsoftware/issrc/main/Files/Languages/$langfile";
+  downloaded="$?"
+  if [ $downloaded -ne 0 ]; then
+    echo "Download of '$langfile' failed."
+    exit 1
+  fi
+}
+
 add_bom ()
 {
   langfile="$1"
@@ -42,6 +54,8 @@ download_lang Lithuanian.isl
 download_lang NorwegianNynorsk.isl
 download_lang Romanian.isl
 download_lang Swedish.isl
+
+download_lang_official Hungarian.isl
 cd -
 
 # Copy generated language files into the source directory.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]